"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("@storybook/react");
const _1 = require("./");
const react_2 = require("@storybook/addon-knobs/react");
const options = [
    { label: 'React', value: 'react' },
    { label: 'Vue', value: 'vue' },
    { label: 'Angular', value: 'angular' },
    { label: 'React Native', value: 'react native' },
    { label: 'AngularJS', value: 'angularjs' }
];
const moreOptions = [];
for (let index = 0; index < 50; index++) {
    moreOptions.push({ label: `List item ${index}`, value: index });
}
const SelectboxDemo = () => {
    const [select, setSelect] = React.useState(null);
    return (React.createElement("div", { style: { padding: '20px 40px' } },
        React.createElement("p", { className: "mb-4" },
            "Select: ",
            select),
        React.createElement(_1.Selectbox, { onSelect: selection => setSelect(selection), options: moreOptions, selection: select, label: "Select", material: react_2.boolean('material', false), multiple: react_2.boolean('multiple', false), native: react_2.boolean('native', true) })));
};
react_1.storiesOf('Components/Selectbox', module).addWithJSX('A basic component can be used as selectbox', () => (React.createElement("div", { style: { padding: '20px 40px' } },
    React.createElement(_1.Selectbox, { className: react_2.text('className', ''), onSelect: () => null, options: options, label: "Select:" }))));
react_1.storiesOf('Components/Selectbox/Demo', module).addWithJSX('of Selectbox', () => (React.createElement(SelectboxDemo, null)));
