import * as React from 'react';
import { TailWindCSS } from './../../types/TailWindProps';
export interface TextProps extends TailWindCSS {
    bold?: boolean;
    center?: boolean;
    /**
     * color of text
     */
    children?: React.ReactNode;
    color?: string;
    className?: string;
    hover?: string;
    paragraph?: boolean;
    ref?: React.Ref<HTMLParagraphElement | HTMLSpanElement>;
    size?: string;
    textProps?: React.HTMLProps<HTMLParagraphElement | HTMLSpanElement>;
    /**
     * style object
     *
     */
    style?: React.CSSProperties;
}
export declare const Text: React.FunctionComponent<TextProps>;
