"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("@storybook/react");
const _1 = require("./");
const react_2 = require("@storybook/addon-knobs/react");
const TextfieldDemo = () => {
    const [text, setText] = React.useState('React');
    return (React.createElement("div", { style: { padding: '20px 40px' } },
        React.createElement("p", { className: "mb-2" },
            "Input: ",
            text),
        React.createElement(_1.Textfield, { autocomplete: [
                'React',
                'React Native',
                'React Web App',
                'React Posed',
                'React UI',
                'React UI Lib',
                'React App',
                'React Lib',
                'React Mobile',
                'React Mobile Native',
                'Node JS',
            ], onInput: text => setText(text), onEnter: () => console.log(`submit: `, text), label: "Some text", material: react_2.boolean('material', false), placeholder: "You can type anything here", value: text })));
};
react_1.storiesOf('Components/Textfield', module).addWithJSX('A basic component can be used as textfield', () => (React.createElement("div", { style: { padding: '20px 40px' } },
    React.createElement(_1.Textfield, { className: react_2.text('className', ''), onInput: () => null, label: "Some text", value: react_2.text('text', 'Hello World') }))));
react_1.storiesOf('Components/Textfield/Demo', module).addWithJSX('of Textfield', () => (React.createElement(TextfieldDemo, null)));
