"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
exports.createState = (initState) => {
    const [state, setState] = React.useState(initState);
    const set = (newState) => {
        setState(prevState => (Object.assign({}, prevState, newState)));
    };
    return [state, set];
};
