"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("@storybook/react");
const _1 = require("./");
const react_2 = require("@storybook/addon-knobs/react");
const CheckboxDemo = () => {
    const [checked, setCheck] = React.useState(false);
    return (React.createElement("div", { style: { padding: '20px 40px' } },
        React.createElement("p", null,
            "Status: ",
            checked ? 'checked' : 'unchecked'),
        React.createElement(_1.Checkbox, { label: "Status", checked: checked, onCheck: () => setCheck(!checked) })));
};
react_1.storiesOf('Components/Checkbox', module).addWithJSX('A basic component can be used as checkbox', () => {
    return (React.createElement("div", { style: { padding: '20px 40px' } },
        React.createElement(_1.Checkbox, { checked: react_2.boolean('checked', false), disabled: react_2.boolean('disabled', false), label: react_2.text('label', 'Checkbox'), onCheck: () => true, small: react_2.boolean('small', false) })));
});
react_1.storiesOf('Components/Checkbox/Demo', module).addWithJSX('of Checkbox', () => (React.createElement(CheckboxDemo, null)));
